# Dobby

A clean, simple and responsive theme of WordPress, based on [Bootstrap4](https://github.com/twbs/bootstrap). Created and maintained by Vtrois. Stay up to date with the latest release and announcements on [Bulletin Board](https://github.com/Vtrois/Dobby/issues). 

![Dobby Demo](https://s1.ax1x.com/2018/02/22/9U8asP.jpg)

## Structure
Within the download you'll find the following directories and files. You'll see something like this :point_down:

```
Dobby
├── 404.php
├── LICENSE
├── author.php
├── category.php
├── comments.php
├── footer.php
├── functions.php
├── header.php
├── inc
│   ├── author.php
│   ├── buttons
│   │   ├── images(has some button pic)
│   │   └── more.js
│   ├── comments.php
│   ├── content
│   │   ├── content-category.php
│   │   └── content.php
│   ├── core.php
│   ├── global.php
│   ├── images.php
│   ├── navwalker.php
│   ├── options
│   │   ├── css
│   │   │   └── optionsframework.css
│   │   ├── images
│   │   │   ├── col-left.png
│   │   │   ├── col-right.png
│   │   │   ├── ico-delete.png
│   │   │   └── single.png
│   │   ├── includes
│   │   │   ├── class-options-framework-admin.php
│   │   │   ├── class-options-framework.php
│   │   │   ├── class-options-interface.php
│   │   │   ├── class-options-media-uploader.php
│   │   │   └── class-options-sanitization.php
│   │   ├── js
│   │   │   ├── media-uploader.js
│   │   │   └── options-custom.js
│   │   └── options-framework.php
│   ├── shortcode.php
│   ├── single
│   │   ├── single-alpha.php
│   │   └── single-gamma.php
│   ├── single.php
│   ├── smilies.php
│   ├── smtp.php
│   ├── version.php
│   └── widget.php
├── index.php
├── languages
│   ├── zh_TW.mo
│   ├── zh_TW.po
│   ├── zh_CN.mo
│   └── zh_CN.po
├── options.php
├── page.php
├── screenshot.png
├── search.php
├── single.php
├── static
│   ├── css
│   │   ├── animate.min.css
│   │   ├── bootstrap.min.css
│   │   ├── dobby.css
│   │   ├── flexslider.min.css
│   │   ├── highlight.min.css
│   │   └── layer.min.css
│   ├── fonts
│   │   ├── Gotham-Book.eot
│   │   ├── Gotham-Book.otf
│   │   ├── Gotham-Book.svg
│   │   ├── Gotham-Book.ttf
│   │   ├── Gotham-Book.woff
│   │   ├── Gotham-Book.woff2
│   │   ├── dobby.eot
│   │   ├── dobby.svg
│   │   ├── dobby.ttf
│   │   └── dobby.woff
│   ├── images
│   │   ├── 404.svg
│   │   ├── arrow.png
│   │   ├── default(has some default pic)
│   │   ├── layer
│   │   │   ├── icon-ext.png
│   │   │   └── icon.png
│   │   ├── loader.gif
│   │   ├── payment(has the payment pic)
│   │   ├── search.svg
│   │   └── smilies(has some smilie pic)
│   └── js
│       ├── bootstrap.min.js
│       ├── comments.min.js
│       ├── highlight.min.js
│       ├── jquery.easing.min.js
│       ├── jquery.flexslider.min.js
│       ├── jquery.min.js
│       ├── jquery.qrcode.min.js
│       ├── layer.min.js
│       ├── main.js
│       ├── share.min.js
│       ├── sticky.min.js
│       └── wow.min.js
├── style.css
└── tag.php
```

## License

- The Dobby Html, CSS, JavaScript and PHP files are licensed under the GNU General Public License v3:
  - http://www.gnu.org/licenses/gpl-3.0.html

- The Dobby documentation is licensed under the CC BY 4.0 License:
  - https://creativecommons.org/licenses/by/4.0
